package com.jz.manage.moduls.controller.customer;

import com.jz.common.bean.PageInfoResponse;
import com.jz.common.constant.Constants;
import com.jz.manage.moduls.controller.BaseController;
import com.jz.manage.moduls.controller.customer.bean.dto.EnterpriseAuditDto;
import com.jz.manage.moduls.controller.customer.bean.request.EnterpriseAuditRequest;
import com.jz.manage.moduls.service.DepartmentService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;

/**
 * 企业(Department)表控制层
 *
 * @author Bellamy
 * @since 2020-12-01 10:41:35
 */
@RestController
@RequestMapping("department")
@Api(tags = "企业")
public class DepartmentController extends BaseController {
    /**
     * 服务对象
     */
    @Autowired
    private DepartmentService departmentService;

    @PostMapping(value = "/findList")
    @ApiOperation(value = "条件分页查询企业审核信息")
    public PageInfoResponse<EnterpriseAuditDto> findList(@RequestBody EnterpriseAuditRequest auditRequest, HttpServletRequest req) throws Exception {
        PageInfoResponse<EnterpriseAuditDto> pageInfo = new PageInfoResponse<>();
        try {
            pageInfo = departmentService.findList(auditRequest, req);
        }catch (Exception e) {
            pageInfo.setMessage("查询失败");
            pageInfo.setCode(Constants.FAILURE_CODE);
            e.printStackTrace();
        }
        return pageInfo;
    }
}